Media

List configured project media import sources

GET
/api/projects/{projectId}/media/sources

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
sources*array<>
Items1 <= items
Example Request
curl -X GET 'https://postbot.example/api/projects/string/media/sources'
Example Response
{
  "sources": [
    {
      "id": "device",
      "transfer": "browser",
      "requiresAuthentication": true
    }
  ]
}

Was this page helpful?